<?php
/**
 * Modelo del mensaje, permite manejar los mensajes de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class MensajeModel extends DetalleModel {
	protected $global_main_class = 'mensajes';
	
	protected $ext_folder = 'ext_mensajes';
	
	protected $categoria_class = 'MensajeCategoria';
	protected $item_class = 'Mensaje';
	
	protected $categoria_vista = 'categoria_mensajes';
	protected $item_vista = 'mensaje';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_mensajes/class/mensaje','ext_mensajes/class/mensajeCategoria');
	}
	
	public function get_item($id=''){
		if (parent::get_item($id)){
			$this->objeto->msgLeido(true);
			
			if ($this->objeto->msgBorrado()){
				return false;
			} else {
				return true;
			}
		} else {
			return false;
		}
	}
}