<?php
class Mensajes extends Controller
{	
	protected $ext_folder = 'ext_mensajes';
	protected $ext_home_vista = 'home';
	protected $ext_categoria_vista = 'categoria_mensajes';
	protected $ext_item_vista = 'mensaje';
	protected $ext_form_item_vista = 'nuevo_mensaje';
	
	protected $ext_item_modelo = 'MensajeModel';
	protected $ext_categoria_modelo = 'MensajeCategoriaModel';
	protected $ext_home_modelo = 'HomeMensajesModel';
	
	protected $ext_categoria_clase = 'MensajeCategoria';
	protected $ext_item_clase = 'Mensaje';

	var $mensaje;
	
	function __construct(){
		parent::__construct();
	}
	
	public function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_mensajes/class/mensaje','ext_mensajes/class/mensajeCategoria');
		e_include('ext_mensajes/models/mensaje','ext_mensajes/models/categoria','ext_mensajes/models/home');
		if (!class_exists('Mensaje') || !class_exists('MensajeCategoria')) {
			App::setMsg(__("Error 500: No se ha encontrado la clase de la extensión."), 'error');
			return false;
		}
	}
}