<?php
defined('CONF_URL_APP') or die;

if (!empty($this->categoria->titulo_dinamico))
	$titulo_pagina = $this->categoria->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = SistemaIdioma::Imprimir($this->categoria->nombre);
	else
		$titulo_pagina = $titulo_html;

$tipo_vista_mensajes = $this->categoria->parametros['params']['tipo_pagina'];
?>

<?php if ($GLOBALS['params_enlace_actual']['listado']['mostrar_titulo_pagina'] == '1'){?>
 <h1 class="section-title"><?php echo $titulo_pagina;?></h1>
<?php } ?>

<div class="mensajes_privados">
  <div class="panel">
    <div class="panel-body" style="padding: 0;">
      <div class="btn-toolbar" id="toolbar-config">
        <div class="btn-group">
          <button class="btn btn-default navbar-btn checkall" title="<?php echo __('Seleccionar/Deseleccionar todos');?>"> <i class="fa fa-square-o"></i></button>
        </div>
        <?php if ($tipo_vista_mensajes != 'papelera' && is_array($this->categoria->items) && sizeof($this->categoria->items) > 0){?>
        <div class="btn-group pull-right"> <a href="javascript:;" class="btn btn-danger navbar-btn" title="<?php echo __('Borrar seleccionados');?>" id="btn_del_all_msg"> <i class="fa fa-trash-o"></i></a> </div>
        <?php } elseif ($tipo_vista_mensajes == 'papelera' && is_array($this->categoria->items) && sizeof($this->categoria->items) > 0) { ?>
        <div class="btn-group pull-right"> <a href="javascript:;" class="btn btn-default navbar-btn" title="<?php echo __('Restaurar seleccionados');?>" id="btn_del_all_msg"> <i class="fa fa-sign-in"></i></a> </div>
        <?php } ?>
      </div>
    </div>
    <?php $tmp_script = "
$(document).ready(function(){
    $('.checkall:button').toggle(function(){
        $('.list_msg input:checkbox').attr('checked','checked');
        $(this).html('<i class=\"fa fa-check-square-o\"></i>');
    },function(){
        $('.list_msg input:checkbox').removeAttr('checked');
        $(this).html('<i class=\"fa fa-square-o\"></i>');        
    });
	";
	if (is_array($this->categoria->items) && sizeof($this->categoria->items) > 0){
	$tmp_script .= "$('a#btn_del_all_msg').on('click', function(){
		$('form#frm_mensajes').submit();
	});
	";
	}
	$tmp_script .= "});";
	
	$GLOBALS['AppDoc']->addScriptDeclaration($tmp_script);
	?>
  </div>
  
  <!-- Nav tabs -->
  <?php /*?><ul class="nav nav-tabs">
                <li class="active"><a href="#home" data-toggle="tab"><span class="glyphicon glyphicon-inbox">
                </span>Principal</a></li>
                <li><a href="#profile" data-toggle="tab"><span class="glyphicon glyphicon-user"></span>
                    Social</a></li>
                <li><a href="#messages" data-toggle="tab"><span class="glyphicon glyphicon-tags"></span>
                    Promociones</a></li>
                <li><a href="#notifications" data-toggle="tab"><span class="glyphicon glyphicon-info-sign no-margin">
                </span> Notificaciones</a></li>
            </ul><?php */?>
  <!-- Tab panes -->
  <div class="tab-content list_msg">
    <div class="tab-pane fade in active" id="home">
      <?php if (is_array($this->categoria->items) && sizeof($this->categoria->items) > 0){?>
      <form id="frm_mensajes" action="<?php echo CONF_URL_APP;?>api/mensajes/mensaje/borrar.system-msg" method="post">
        <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>">
        <input type="hidden" name="return" value="<?php echo Helpers::currentUrl();?>">
        <input type="hidden" name="multiple" value="true">
        <?php if ($tipo_vista_mensajes == 'papelera'){?>
        <input type="hidden" name="restaurar" value="true">
        <?php } ?>
        <div class="list-group">
          <?php foreach ($this->categoria->items as $mens){
			  			$contenido = Helpers::recortarTexto(strip_tags(SistemaIdioma::Imprimir($mens->contenido)), 50, '...');
						$fecha_txt = $mens->imprimir_fecha();
						if ($tipo_vista_mensajes == 'salida'){
							$usr_field = __('Para:').' '.$mens->getdestinatarios(true, ', ');
						} else {
							if (is_array($mens->respuestas) && sizeof($mens->respuestas) > 0){
								$usr_field = explode(' ', $mens->getcreador(true,true)->getnombre_completo());
								$usr_field = $usr_field[0];

								$last_resp = end($mens->respuestas);
								
								$contenido = Helpers::recortarTexto(strip_tags(SistemaIdioma::Imprimir($last_resp->contenido)), 50, '...');
								$fecha_txt = $last_resp->imprimir_fecha();
								
								$usr_field .= '...';
								$tmp_usr_field = explode(' ', $last_resp->getcreador(true,true)->getnombre_completo());
								$usr_field .= $tmp_usr_field[0];
							} else {
								$usr_field = $mens->getcreador(true,true)->getnombre_completo();
							}
							
						}
						$es_nuevo = false;
						$primer_no_leido = $mens->getFirstNoLeido();
						if ($primer_no_leido){
							$es_nuevo = true;
							$contenido = Helpers::recortarTexto(strip_tags(SistemaIdioma::Imprimir($primer_no_leido->contenido)), 50, '...');
						}
						
						$respuestas_txt = '';
						if (is_array($mens->respuestas) && sizeof($mens->respuestas) > 0){
							$respuestas_txt = ' ('.count($mens->respuestas).')';
						}
												
						$adjuntos = $mens->items_relacionados['adjunto'];
						?>
          <a href="<?php echo $mens->getLink(false, null, $_GET['linkId']);?>" class="list-group-item<?php if ($mens->leido=='1'){?> read<?php } ?>">
          <div class="checkbox">
            <label>
              <input type="checkbox" value="<?php echo $mens->id;?>" name="id_item[]">
            </label>
          </div>
          <span class="name" style="min-width: 120px;
                                display: inline-block;">
          <?php if ($es_nuevo){?>
          <b>
          <?php } ?>
          <?php echo $usr_field.$respuestas_txt;?>
          <?php if ($es_nuevo){?>
          </b>
          <?php } ?>
          </span> <span class="">
          <?php if ($es_nuevo){?>
          <b>
          <?php } ?>
          <?php echo $mens->titulo_formateado;?>
          <?php if ($es_nuevo){?>
          </b>
          <?php } ?>
          </span> <span class="text-muted" style="font-size: 11px;">-
          <?php if ($es_nuevo){?>
          <b>
          <?php } ?>
          <?php echo Helpers::recortarTexto(strip_tags(SistemaIdioma::Imprimir($mens->contenido)), 50, '...');?>
          <?php if ($es_nuevo){?>
          </b>
          <?php } ?>
          </span> <span
                                class="badge"><?php echo $fecha_txt;?></span> <?php if (is_array($adjuntos) && sizeof($adjuntos) > 0){?><span class="pull-right"><i class="glyphicon glyphicon-paperclip"></i></span><?php } ?> </a>
          <?php } ?>
        </div>
      </form>
      <?php } else {?>
      <div class="list-group">
        <div class="list-group-item"> <span class="text-center"><?php echo __("No tienes ningún mensaje");?></span> </div>
      </div>
      <?php } ?>
    </div>
  </div>
  <!-- Ad -->
  <?php /*?><div class="row-md-12">
                <div class="ad">
                    <a href="http://www.jquery2dotnet.com" class="title">jQuery2DotNet</a>
                    <div>
                        Cool jQuery, CSS3, HTML5, Bootstrap, and MVC tutorial</div>
                    <a href="http://www.jquery2dotnet.com" class="url">www.jquery2dotnet.com</a>
                </div>
            </div><?php */?>
</div>
