<?php
defined('CONF_URL_APP') or die;
global $mensajes;
$contenido = SistemaIdioma::Imprimir($this->mensaje->objeto->contenido);

$video_html = '';

$id_youtube = Helpers::extraer_id_youtube($contenido);

if ($id_youtube != false){
	$video_html = '
	<iframe src="http://www.youtube.com/embed/'.$id_youtube.'" frameborder="0" allowfullscreen></iframe>';
}

$adjuntos = $this->mensaje->objeto->items_relacionados['adjunto'];

$usr = $this->mensaje->objeto->getcreador(true,true);
$es_mio = false;
if ($usr->id == Usuario::getLogedId()){
	$es_mio = true;
	$txt_destinatarios = $this->mensaje->objeto->getdestinatarios(true, ', ');
} else {
	$txt_destinatarios = Usuario::getLoged()->getnombre_completo();
}

$cats_mens = $this->mensaje->objeto->getcategorias(true, true);

$cat_link = $cats_mens[0]->getLink();

if (!empty($GLOBALS['params_enlace_actual']['detalle']['formulario_respuesta'])){
	e_include('ext_forms/class/formulario');
	
	if (class_exists('Formulario')){
		$frm_respuesta = new Formulario();
		$frm_respuesta->setid($GLOBALS['params_enlace_actual']['detalle']['formulario_respuesta']);

		if ($frm_respuesta = $frm_respuesta->BuscarId()){
			$frm_respuesta->fieldsets = $frm_respuesta->getFieldsets();
			$frm_respuesta->campos = $frm_respuesta->getCampos();
			
			$params_frm = Helpers::toArray(json_decode($frm_respuesta->params));
			
			$destinatarios = (array) json_decode($this->mensaje->objeto->destinatarios);
			if (!in_array($this->mensaje->objeto->creador, $destinatarios))
				$destinatarios[] = $this->mensaje->objeto->creador;
				
			$categorias = (array) json_decode($this->mensaje->objeto->categorias);
				
			$valores_frm = array("estado"=>"1", "titulo"=>sprintf(__("Re: %s"), SistemaIdioma::Imprimir($this->mensaje->objeto->titulo)), "padre"=>$this->mensaje->objeto->id, "destinatarios"=>$destinatarios, "categorias"=>$categorias, "tags"=>$this->mensaje->objeto->tags, "idioma"=>$this->mensaje->objeto->idioma);
			
			$action_form = Helpers::currentUrl();
			  
			if ($params_frm["metodo_script"] == "redirect" && !empty($params_frm["script_custom"])){
			  $action_form = CONF_URL_APP.$params_frm["script_custom"];
			}
		}
	}
}

if (!empty($usr->imagen)){
		$usuario_imagen = CONF_URL_APP . 'image.php/' .$usr->imagen . '?width=42&height=42&cropratio=1:1&image=' . CONF_URL_APP . $usr->imagen;
	} else {
		$usuario_imagen = CONF_URL_APP . 'image.php/'.$AppTpl->params['usuario_noimage'].'?width=42&height=42&cropratio=1:1&image=' . CONF_URL_APP . $AppTpl->params['usuario_noimage'];
	}
?>

<div class="mensajes_privados panel-group">
  <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> msg_msg" id="msg_<?php echo $resp->id;?>">
    <div class="panel-body">
      <h4><b><?php echo $this->mensaje->objeto->titulo_formateado; ?></b> <small><span class="label label-default"><?php echo $this->mensaje->objeto->getcategorias(true);?></span>
        <?php if ($this->mensaje->objeto->msgBorrado()){?>
        <span class="label label-danger"><?php echo __('Borrado');?></span>
        <?php } ?>
        </small></h4>
      <hr />
      <div class="row">
        <div class="col-xs-12">
          <div class="pull-right">
            <div class="btn-group"> <span class="badge"><?php echo $this->mensaje->objeto->imprimir_fecha();?></span> </div>
            <?php if (!$this->mensaje->objeto->msgBorrado()){?>
            <div class="btn-group"> <a href="<?php echo Helpers::currentUrl();?>#frm_resp_msg_<?php echo $this->mensaje->objeto->id;?>" class="btn btn-default" rel="tooltip" title="<?php echo __('Responder');?>"><i class="fa fa-mail-reply"></i></a> <a href="javascript:;" class="btn btn-default" rel="tooltip" data-toggle="dropdown" title="<?php echo __('Más');?>"><i class="fa fa-caret-down"></i></a>
              <ul class="dropdown-menu pull-right" role="menu">
                <li role="presentation"><a role="menuitem" tabindex="-1" href="#mdl_borrar_msg_<?php echo $this->mensaje->id;?>" data-toggle="modal"><i class="fa fa-trash-o"></i> <?php echo __('Borrar');?></a></li>
              </ul>
            </div>
            <?php } else {?>
            <div class="btn-group"> <a href="javascript:;" id="btn_rest_<?php echo $this->mensaje->id;?>" class="btn btn-primary" rel="tooltip" title="<?php echo __('Mover a recibidos');?>"><i class="fa fa-sign-in"></i></a> </div>
            <?php } ?>
          </div>
          <div class="media"> <a class="pull-left" data-toggle="collapse" href="#col_msg_<?php echo $this->mensaje->objeto->id;?>" rel="tooltip" title="<?php echo $usr->getnombre_completo();?>"> <img src="<?php echo $usuario_imagen;?>" class="img-circle" width="42" /> </a>
            <div class="media-body"> <a data-toggle="collapse" href="#col_msg_<?php echo $this->mensaje->objeto->id;?>" class="media-heading"><b><?php echo $usr->getnombre_completo();?></b></a><br />
              <small><?php echo sprintf(__('para <b>%s</b>'), $txt_destinatarios);?></small> </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12 contenido panel-collapse collapse in" id="col_msg_<?php echo $this->mensaje->objeto->id;?>">
          <div class="mensaje_body"><?php echo $contenido; ?> </div>
          <?php if (is_array($adjuntos) && sizeof($adjuntos) > 0){
			  foreach ($adjuntos as $adjunto){
			  $img_adj = $adjunto->getimagen_destacada(300,200);
			  ?>
          <hr />
          <div class="mensaje_adjuntos"> <?php echo $adjunto->imprimir_info_html();?> </div>
          <?php } ?>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
  <?php if (is_array($this->mensaje->objeto->respuestas) && sizeof($this->mensaje->objeto->respuestas) > 0){
	  $num_respuestas = count($this->mensaje->objeto->respuestas);
	  $c_respuestas = 0;
	  ?>
  <?php foreach ($this->mensaje->objeto->respuestas as $resp){
		  $usr_resp = $resp->getcreador(true,true);
		  $usr_resp_imagen = $usr_resp->getimagen_destacada(21,21);
		  $txt_destinatarios_resp = $resp->getdestinatarios(true, ', ');
		  $contenido_resp = SistemaIdioma::Imprimir($resp->contenido);
		  $adjuntos_resp = $resp->items_relacionados['adjunto'];
		  
		  $resp->msgLeido(true);
			
			if ($resp->msgBorrado()){
				$contenido_resp = '<small class="label label-danger">'.__('Borrado').'</small>';
			}
		  
		  $c_respuestas ++;
		  ?>
  <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> resp_msg" id="resp_msg_<?php echo $resp->id;?>">
    <div class="panel-body">
      <div class="row">
        <div class="col-xs-12">
          <div class="pull-right">
            <div class="btn-group"> <span class="badge"><?php echo $resp->imprimir_fecha();?></span> </div>
          </div>
          <div class="media"> <a class="pull-left" data-toggle="collapse" href="#col_msg_<?php echo $resp->id;?>" rel="tooltip" title="<?php echo $usr_resp->getnombre_completo();?>"> <img src="<?php echo $usr_resp_imagen;?>" class="img-circle" width="21" /> </a>
            <div class="media-body"> <a data-toggle="collapse" href="#col_msg_<?php echo $resp->id;?>" class="media-heading"><b><?php echo $usr_resp->getnombre_completo();?></b></a>
              <?php /*?><br />
              <small><?php echo sprintf(__('para <b>%s</b>'), $txt_destinatarios_resp);?></small><?php */?>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-xs-12 contenido panel-collapse collapse<?php if ($c_respuestas == $num_respuestas){?> in<?php } ?>" id="col_msg_<?php echo $resp->id;?>">
          <div class="mensaje_body"><?php echo $contenido_resp; ?> </div>
          <?php if (is_array($adjuntos_resp) && sizeof($adjuntos_resp) > 0){
			  foreach ($adjuntos_resp as $adjunto_r){
			  $img_adj = $adjunto_r->getimagen_destacada(300,200);
			  ?>
          <hr />
          <div class="mensaje_adjuntos"> <?php echo $adjunto_r->imprimir_info_html();?> </div>
          <?php } ?>
          <?php } ?>
        </div>
      </div>
    </div>
  </div>
  <?php } ?>
  <?php } ?>
  <?php if (is_object($frm_respuesta)){?>
  <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel'];?> nuevo_item" id="frm_resp_msg_<?php echo $this->mensaje->objeto->id;?>">
    <form method="post" enctype="multipart/form-data" id="formulario_<?php echo $frm_respuesta->id;?>" action="<?php echo $action_form;?>" class="<?php echo $params_frm['cssclass'];?>">
      <input type="hidden" name="id_form" value="<?php echo $frm_respuesta->id;?>" />
      <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>" />
      <input type="hidden" name="accion" value="nuevo" />
      <?php 
$txt_corto = SistemaIdioma::Imprimir($frm_respuesta->texto_corto);
if (!empty($txt_corto)){?>
      <?php echo SistemaIdioma::Imprimir($frm_respuesta->texto_corto);?>
      <?php } ?>
      <?php if (is_array($frm_respuesta->fieldsets) && sizeof($frm_respuesta->fieldsets) > 0){?>
      <?php foreach ($frm_respuesta->fieldsets as $fieldset){
                echo $fieldset->renderFieldset('<div id="##ID_FIELDSET##" ##ATRIBUTOS##>##CAMPOS##</div>', $valores_frm, array("*"=>'<label>##LABEL##</label>'), array(), '##CAMPO##');
            }?>
      <?php } elseif (is_array($frm_respuesta->campos) && sizeof($frm_respuesta->campos) > 0){ ?>
      <?php foreach ($frm_respuesta->campos as $campo){
				echo $campo->renderCampo();
			}?>
      <?php } ?>
    </form>
  </div>
  <?php } ?>
</div>
<?php if (!$this->mensaje->objeto->msgBorrado()){?>
<div class="modal fade" id="mdl_borrar_msg_<?php echo $this->mensaje->id;?>">
  <div class="modal-dialog">
    <div class="modal-content">
      <form method="post" action="<?php echo CONF_URL_APP;?>api/mensajes/mensaje/borrar.system-msg" id="frm_mdl_borrar_msg_<?php echo $this->mensaje->id;?>">
        <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>">
        <input type="hidden" name="id_item" value="<?php echo $this->mensaje->id;?>">
        <input type="hidden" name="return" value="<?php echo $cat_link;?>">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only"><?php echo __('Cerrar');?></span></button>
          <h4 class="modal-title"><?php echo __('Borrar mensaje');?></h4>
        </div>
        <div class="modal-body">
          <p><?php echo __('¿Está seguro de que quiere enviar el mensaje a la papelera de reciclaje?');?></p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo __('No');?></button>
          <button type="button" class="btn btn-primary" id="btn_mdl_borrar_msg_<?php echo $this->mensaje->id;?>"><?php echo __('Sí, enviar a la papelera');?></button>
        </div>
      </form>
    </div>
    <!-- /.modal-content --> 
  </div>
  <!-- /.modal-dialog --> 
</div>
<!-- /.modal --> 
<?php $GLOBALS['AppDoc']->addScriptDeclaration('
$(document).ready(function() {
    $("#btn_mdl_borrar_msg_'.$this->mensaje->id.'").on("click", function(){
		$("form#frm_mdl_borrar_msg_'.$this->mensaje->id.'").submit();
	});
});
');
?>
<?php } else {?>
<form method="post" action="<?php echo CONF_URL_APP;?>api/mensajes/mensaje/borrar.system-msg" id="frm_mdl_rest_msg_<?php echo $this->mensaje->id;?>">
  <input type="hidden" name="token" value="<?php echo Helpers::getFormToken();?>">
  <input type="hidden" name="id_item" value="<?php echo $this->mensaje->id;?>">
  <input type="hidden" name="restaurar" value="true">
  <input type="hidden" name="return" value="<?php echo $cat_link;?>">
</form>
<?php $GLOBALS['AppDoc']->addScriptDeclaration('
$(document).ready(function() {
    $("#btn_rest_'.$this->mensaje->id.'").on("click", function(){
		$("form#frm_mdl_rest_msg_'.$this->mensaje->id.'").submit();
	});
});
');
?>
<?php } ?>
