<?php
/**
 * Modelo del listado de mensajes de una categoría, permite manejar los listados de mensajes de una categoría de forma fácil
 *
 * @package		Mideas.Mensajes
 * @subpackage	Model
 * @since		1.0
 */

class HomeMensajesModel extends ListadoModel{
	
	protected $global_main_class = 'mensajes';
	
	protected $ext_folder = 'ext_mensajes';
	
	protected $categoria_class = 'MensajeCategoria';
	protected $item_class = 'Mensaje';
	
	protected $categoria_vista = 'categoria_mensajes';
	protected $item_vista = 'mensaje';
	
	function __construct($id=''){
		parent::__construct();
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_mensajes/class/mensajeCategoria','ext_mensajes/class/mensaje');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}