<?php
defined('CONF_URL_APP') or die;

if (!empty($this->home->titulo_dinamico))
	$titulo_pagina = $this->home->titulo_dinamico;
else
	if (empty($titulo_html))
		$titulo_pagina = SistemaIdioma::Imprimir($this->home->nombre);
	else
		$titulo_pagina = $titulo_html;

?>


 <h1 class="section-title"><?php echo $titulo_pagina;?></h1>
<!-- end .page-header -->
  <?php if ($this->home->items != false){?>
    <div class="opciones_listado">
    <ul>
    <li><a href="" class="listadoBtn<?php if ($this->home->parametros['params']['vista_lista'] == 'listado'){?> activo<?php } ?>"><b>Listado</b></a></li>
      <li><a href="" class="gridBtn<?php if ($this->home->parametros['params']['vista_lista'] == 'listado grid'){?> activo<?php } ?>"><b>Grid</b></a></li>
    </ul>
    
    <form id="form_orden" name="form_orden" method="GET" action="<?php echo $this->construir_url_categoria(true,'',true);?>/">
          <div>
            <select name="orden" onchange="form_orden.submit()" class="styleSelect block" div="" label="" id="aside-sort-select">
              <option <?php if ($this->home->orden_alias=='nuevo'){?>selected="selected"<?php } ?> value="nuevo"><?php echo __('Nuevo');?></option>
              <option <?php if ($this->home->orden_alias=='antiguo'){?>selected="selected"<?php } ?> value="antiguo"><?php echo __('Antiguo');?></option>
              <option <?php if ($this->home->orden_alias=='a-z'){?>selected="selected"<?php } ?> value="a-z"><?php echo __('Título A-Z');?></option>
              <option <?php if ($this->home->orden_alias=='z-a'){?>selected="selected"<?php } ?> value="z-a"><?php echo __('Título Z-A');?></option>
            </select>
            <?php if (!empty($this->get_vars)){?>
            <?php foreach ($this->get_vars as $kgv=>$gv){?>
            <?php if ($kgv != 'orden'){?>
            <input type="hidden" name="<?php echo $kgv;?>" value="<?php echo $gv;?>" />
            <?php }?>
            <?php } ?>
            <?php } ?>
          </div>
        </form>
    
     <?php /*?><select name="" class="responsive-nav">
    <option selected="selected"><?php echo __('Ordenar');?></option> 
      <option><?php echo __('Fecha');?></option>
      <option><?php echo __('Popularidad');?></option>
      <option><?php echo __('Relevancia');?></option>
    </select><?php */?>
    </div>  
  
  <?php if ($this->home->paginacion != false){?>
  <div class="clear"></div>
  <ul class="pagination top">
    <?php if ($this->home->paginacion['actual'] > 1){?>
    <li class="next"><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->home->paginacion['actual']-1));?>">← Anterior</a></li>
    <?php } ?>
    <?php for ($i=$this->home->paginacion['seccion_inicio']; $i <= $this->home->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->home->paginacion['actual']){?> class="current"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->home->paginacion['actual'] < $this->home->paginacion['total']){?>
    <li class="prev"><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->home->paginacion['actual']+1));?>">Siguiente →</a></li>
    <?php } ?>
  </ul>
  <?php } ?>
    <div class="num_posts"> <span><?php echo $this->home->total_items;?></span> <?php echo $titulo_pagina;?> </div>
  <section class="<?php echo $this->home->parametros['params']['vista_lista'];?> animated"><!-- end .entry -->
  <?php 
foreach ($this->home->items as $mensaje){
	?>
 <article class="entry clearfix one-column">
 <?php $img_dest = $mensaje->getimagen_destacada('229','130');
  ?>
    <?php if (!empty($img_dest)){?>
    <a href="<?php echo $mensaje->getLink();?>" title="<?php echo SistemaIdioma::Imprimir($mensaje->titulo);?>" class="single-image"> <img src="<?php echo $img_dest;?>" alt="<?php echo SistemaIdioma::Imprimir($mensaje->titulo);?>" > </a>
    <?php } else { ?>
			 <a href="<?php echo $mensaje->getLink();?>" class="single-image"> <img src="<?php echo CONF_URL_APP;?>image.php/<?php echo CONF_URL_APP.CONF_DIR_UPLOADS;?>/marearock_default.jpg?width=229&height=130&cropratio=229:130&image=<?php echo CONF_URL_APP.CONF_DIR_UPLOADS;?>/marearock_default.jpg" width="100%"> </a>
			 <?php } ?>
    <div class="entry-body"> 
    
    
    <a href="<?php echo $mensaje->getLink();?>">
      
      <h1 class="title"><?php echo SistemaIdioma::Imprimir($mensaje->titulo);?></h1>
      </a>
      
      <div class="entry-meta">
      <ul>
        <li><a href="<?php echo $mensaje->getLink();?>"><span class="post-format "><?php echo __('Permalink');?></span></a></li>
        <li><span class="title"><?php echo __('Fecha');?>:</span> <a href="#"><?php echo strftime('%d.%m.%Y', strtotime($mensaje->fecha_publicacion));?></a></li>
        <?php $creador = $mensaje->getcreador(true);
		if (!empty($creador)){?>
        <li><span class="title"><?php echo __('Autor');?>:</span> <?php echo $mensaje->getcreador(true);?></li>
        <?php } ?>
        <?php /*?><li><span class="title"><?php echo __('Categorías');?>:</span> <?php echo $mensaje->getcategorias(true);?></li><?php */?>
        <li><span class="title"><?php echo __('Mensajes');?>:</span> <a href="javascript:;"><?php echo count($mensaje->mensajes);?></a></li>
      </ul>
      
      
    </div>
      
          <div class="textoNoticia">
										<?php echo SistemaIdioma::Imprimir($mensaje->texto_corto);?> </div>
       <a class="button right" href="<?php echo $mensaje->getLink();?>"><?php echo __('Leer noticia completa');?></a>
      
      </div>
    <!-- end .entry-body -->
    <ul class="botones-sociales">
          <li>
            <g:plusone size="tall" annotation="inline" href="<?php echo $mensaje->getLink();?>" width="120"></g:plusone>
          </li>
            <li><a href="https://twitter.com/share" class="twitter-share-button" data-url="<?php echo $mensaje->getLink();?>" data-text="<?php echo SistemaIdioma::Imprimir($mensaje->titulo);?> | <?php echo SistemaIdioma::Imprimir($mensaje->texto_corto);?>" data-via="Marearockweb" data-lang="es" data-related="Marearockweb" data-hashtags="marearock">Twittear</a> </li>
          <li>
            <div class="fb-like"  data-href="<?php echo $mensaje->getLink();?>" data-send="false" data-layout="button_count" data-width="120" data-show-faces="false" data-font="tahoma"></div>
          </li>
        
        </ul>
    
    <!-- end .entry-meta --> 
    
  </article>
  <!-- end .entry --> 
  <!-- end .one-fourth (Altered) -->
  <?php } ?>
  </section>
  <?php } else { ?>
  <p align="center"><?php echo __('No hay mensajes');?></p>
      <hr />
  <?php } ?>
  <?php if ($this->home->paginacion != false){?>
  <div class="clear"></div>
  <ul class="pagination">
    <?php if ($this->home->paginacion['actual'] > 1){?>
    <li class="next"><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->home->paginacion['actual']-1));?>">← Anterior</a></li>
    <?php } ?>
    <?php for ($i=$this->home->paginacion['seccion_inicio']; $i <= $this->home->paginacion['seccion_final']; $i++){?>
    <li<?php if ($i==$this->home->paginacion['actual']){?> class="current"<?php } ?>><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$i));?>"><?php echo $i;?></a></li>
    <?php } ?>
    <?php if ($this->home->paginacion['actual'] < $this->home->paginacion['total']){?>
    <li class="prev"><a href="<?php echo $this->construir_url_categoria(true,array("page"=>$this->home->paginacion['actual']+1));?>">Siguiente →</a></li>
    <?php } ?>
  </ul>
  <?php } ?>
<!-- end #portfolio-items -->